Class Continue
- All Implemented Interfaces:
HttpMessage,HttpResponse
- Direct Known Subclasses:
Continue.Unmodifiable
The server has received the request headers and the client should proceed to send the request body (in the case of a request for which a body needs to be sent; for example, a POST request). Sending a large request body to a server after a request has been rejected for inappropriate headers would be inefficient. To have a server check the request's headers, a client must send Expect: 100-continue as a header in its initial request and receive a 100 Continue status code in response before sending the body. If the client receives an error code such as 403 (Forbidden) or 405 (Method Not Allowed) then it shouldn't send the request's body. The response 417 Expectation Failed indicates that the request should be repeated without the Expect header as it indicates that the server doesn't support expectations (this is the case, for example, of HTTP/1.0 servers).
See Also:
-
Nested Class Summary
Nested ClassesModifier and TypeClassDescriptionstatic classUnmodifiable point-in-time snapshot of the enclosingContinueresponse. -
Field Summary
Fields -
Constructor Summary
ConstructorsConstructorDescriptionContinue()Constructor.Continue(HttpResponse response) Constructor.Copy constructor. -
Method Summary
Modifier and TypeMethodDescriptioncopy()Creates a builder for this class initialized with the contents of this bean.Returns an unmodifiable snapshot of this bean.Methods inherited from class org.apache.juneau.http.classic.response.BasicHttpResponse
addHeader, addHeader, assertStatusCode, containsHeader, equals, freeze, getAllHeaders, getEntity, getFirstHeader, getHeaders, getHeaders, getLastHeader, getLocale, getParams, getProtocolVersion, getStatusLine, hashCode, headerIterator, headerIterator, isUnmodifiable, modify, removeHeader, removeHeaders, self, setContent, setContent, setEntity, setHeader, setHeader, setHeader2, setHeader2, setHeaders, setHeaders, setHeaders, setHeaders2, setLocale, setLocale2, setLocation, setLocation, setParams, setProtocolVersion, setReasonPhrase, setReasonPhrase2, setReasonPhraseCatalog, setStatusCode, setStatusCode2, setStatusLine, setStatusLine, setStatusLine, setStatusLine, toString
-
Field Details
-
STATUS_CODE
HTTP status code- See Also:
-
REASON_PHRASE
Reason phrase- See Also:
-
INSTANCE
Default unmodifiable instance
-
-
Constructor Details
-
Continue
public Continue()Constructor. -
Continue
Copy constructor.- Parameters:
copyFrom- The bean to copy from. Must not benull .
-
Continue
Constructor.This is the constructor used when parsing an HTTP response.
- Parameters:
response- The HTTP response to copy from. Must not benull .- Throws:
IllegalArgumentException- If HTTP response status code does not match what was expected.
-
-
Method Details
-
copy
Creates a builder for this class initialized with the contents of this bean.- Returns:
- A new builder bean.
-
unmodifiable
Description copied from class:BasicHttpResponseReturns an unmodifiable snapshot of this bean.The returned instance is a point-in-time copy of the leaf's nested
Unmodifiabletype; any attempt to set a property on it throws anUnsupportedOperationException. This method is idempotent: if this bean is already unmodifiable it returns itself rather than taking another snapshot. The receiver is left unchanged (and still modifiable unless it was already unmodifiable).- Specified by:
unmodifiablein classBasicHttpResponse<Continue>- Returns:
- An unmodifiable snapshot of this bean, or this bean if it is already unmodifiable.
-